libzypp 17.37.10

zypp::ResTraits< ResObject > Struct Reference

ResTraits specialisation for ResObject. More...

`#include <zypp/ResTraits.h>`

## Public Types
using | KindType = ResKind
using | PtrType = intrusive_ptr<ResObject>
using | constPtrType = intrusive_ptr<const ResObject>

## Static Public Member Functions
static bool | isPseudoInstalled ()
| Those are denoted to be installed, if the solver verifies them as being satisfied.

## Static Public Attributes
static const ResKind kind | ZYPP_API
| Defined in ResKind.cc.

## Detailed Description

ResTraits specialisation for ResObject.

ResObject is common base and has no Kind value.

Definition at line 115 of file ResTraits.h.

## Member Typedef Documentation

## ◆ KindType

using zypp::ResTraits< ResObject >::KindType = ResKind

Definition at line 117 of file ResTraits.h.

## ◆ PtrType

using zypp::ResTraits< ResObject >::PtrType = intrusive_ptr<ResObject>

Definition at line 118 of file ResTraits.h.

## ◆ constPtrType

using zypp::ResTraits< ResObject >::constPtrType = intrusive_ptr<const ResObject>

Definition at line 119 of file ResTraits.h.

## Member Function Documentation

## ◆ isPseudoInstalled()

bool zypp::ResTraits< ResObject >::isPseudoInstalled | ( |  | ) |
| inline static

Those are denoted to be installed, if the solver verifies them as being satisfied.

Definition at line 89 of file ResTraits.h.

## Member Data Documentation

## ◆ ZYPP_API

const ResKind kind zypp::ResTraits< ResObject >::ZYPP_API
| static

Defined in ResKind.cc.

Definition at line 85 of file ResTraits.h.

The documentation for this struct was generated from the following file:

- zypp/ResTraits.h